Subject: linux-next: manual merge of the drm-xe tree with the drm tree

From: Mark Brown <[email-masked]>
Date: Wed, 8 Oct 2025 12:20:17 +0100

Hi all,

Today's linux-next merge of the drm-xe tree got a conflict in:

  drivers/gpu/drm/xe/xe_configfs.c

between commit:

  59b7ed0ba2e0f ("drm/xe/configfs: Improve doc for ctx_restore* attributes")

from the drm tree and commits:

  47ca7acff4011 ("drm/xe/configfs: Improve doc for ctx_restore* attributes")
  c09a9933af08c ("drm/xe/pf: Add max_vfs configfs attribute to control PF mode")

from the drm-xe tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

diff --cc drivers/gpu/drm/xe/xe_configfs.c
index 1396634231857,464a79c2a9036..0000000000000
--- a/drivers/gpu/drm/xe/xe_configfs.c
+++ b/drivers/gpu/drm/xe/xe_configfs.c